#
# spec file for package perl-Net-Telnet (Version 3.03)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Net-Telnet
Version:        3.03
Release:        195.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License, GPL
URL:            http://cpan.org/modules/by-module/Net/
Summary:        Net::Telnet - interact with TELNET port or other TCP ports
Source:         Net-Telnet-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Net::Telnet allows you to make client connections to a TCP port and do
network I/O, especially to a port using the TELNET protocol.  Simple
I/O methods such as print, get, and getline are provided.  More
sophisticated interactive features are provided because connecting to a
TELNET port ultimately means communicating with a program designed for
human interaction.  These interactive features include the ability to
specify a time-out and to wait for patterns to appear in the input
stream, such as the prompt from a shell.



Authors:
--------
    Jay Rogers <jay@rgrs.com>

%debug_package
%prep
%setup -n Net-Telnet-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog README 
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Net
%{perl_vendorlib}/Net
/var/adm/perl-modules/%{name}

%changelog -n perl-Net-Telnet
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu Jun 19 2003 - mjancar@suse.cz
- fix filelist
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Fri Dec 20 2002 - prehak@suse.cz
- updated to version 3.03
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Wed Aug 22 2001 - rvasice@suse.cz
- initial package release (version 3.02)
